View Issue Details

IDProjectCategoryView StatusLast Update
0015601ScribusStory Editor / Text Framespublic2019-06-04 20:55
ReporterJLuc Assigned Tojghali  
PrioritynormalSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformLinuxOSUbuntu OS Version18.04
Product Version1.5.5.svn 
Target VersionFixed in Version1.5.5.svn 
Summary0015601: Last line of text frame appears duplicated at the beginning of next linked text frame
DescriptionIn the uploaded document, the last line of a frame appears duplicated as the first line of the next frame in a linked text chain
Steps To ReproduceOpen document and see
Tagslayout, linked frames
PatchNo

Relationships

related to 0013652 feedback Single character layed out twice while word cut between 2 linked text frames 

Activities

JLuc

2019-03-13 19:27

developer  

duplicated text.png (9,099 bytes)
duplicated text.png (9,099 bytes)
linkedframelayoutbug.sla (44,830 bytes)

jghali

2019-03-13 23:45

administrator   ~0046003

Cannot reproduce that here.

jghali

2019-03-13 23:47

administrator   ~0046004

There is an issue which could cause this which was fixed in december (#15500), so please be sure to have an up to date build.

ale

2019-03-14 09:21

manager   ~0046005

i can replicate it with a somehow current build.

since i don't have the "original" font needed the following steps to replicate:

- change the current unit to mm
- click on the top frame
- alt-down arrow to increase (decrease) the size of the frame
- bang

jghali

2019-03-14 11:00

administrator   ~0046006

Last edited: 2019-03-14 11:02

View 2 revisions

I managed to reproduce it now. Fortunately it's just a display refresh issue: move the frame or export to PDF et voila. Unfortunately this is a not so simple issue to fix...

ale

2019-03-14 11:10

manager   ~0046007

or use "extra > update document" : - )

jghali

2019-03-14 14:45

administrator   ~0046010

Last edited: 2019-03-14 14:47

View 2 revisions

I've pushed a commit which indirectly force linked frame displayed on screen to be updated when resizing a text frame. Linked frames not displayed on screen will be updated only when necessary. Not sure this completely fix this issue, but for now I've no better way to solve this problem.

jghali

2019-03-15 13:24

administrator   ~0046012

Resolving for now

Issue History

Date Modified Username Field Change
2019-03-13 19:27 JLuc New Issue
2019-03-13 19:27 JLuc File Added: duplicated text.png
2019-03-13 19:27 JLuc File Added: linkedframelayoutbug.sla
2019-03-13 19:28 JLuc Relationship added related to 0013652
2019-03-13 19:28 JLuc Relationship added related to 0015085
2019-03-13 19:29 JLuc Relationship deleted related to 0015085
2019-03-13 19:30 JLuc Description Updated View Revisions
2019-03-13 19:31 JLuc Summary Text duplicated at end of frame and start of next frame in linked text chain => last line of frame appears duplicated at the begining of next linked text frame
2019-03-13 19:31 JLuc Summary last line of frame appears duplicated at the begining of next linked text frame => last line of text frame appears duplicated at the begining of next linked text frame
2019-03-13 19:34 JLuc Tag Attached: layout
2019-03-13 19:35 JLuc Tag Attached: linked frames
2019-03-13 19:35 JLuc Summary last line of text frame appears duplicated at the begining of next linked text frame => Last line of text frame appears duplicated at the begining of next linked text frame
2019-03-13 23:45 jghali Note Added: 0046003
2019-03-13 23:47 jghali Note Added: 0046004
2019-03-14 09:21 ale Note Added: 0046005
2019-03-14 11:00 jghali Note Added: 0046006
2019-03-14 11:02 jghali Note Edited: 0046006 View Revisions
2019-03-14 11:10 ale Note Added: 0046007
2019-03-14 14:41 jghali Summary Last line of text frame appears duplicated at the begining of next linked text frame => Last line of text frame appears duplicated at the beginning of next linked text frame
2019-03-14 14:45 jghali Note Added: 0046010
2019-03-14 14:47 jghali Note Edited: 0046010 View Revisions
2019-03-15 13:24 jghali Assigned To => jghali
2019-03-15 13:24 jghali Status new => resolved
2019-03-15 13:24 jghali Resolution open => fixed
2019-03-15 13:24 jghali Fixed in Version => 1.5.5.svn
2019-03-15 13:24 jghali Note Added: 0046012
2019-06-04 20:55 cbradney Status resolved => closed